routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [App\Http\Controllers\RestaurantController::class, 'index'])->name('home');
Route::resources([
    'restaurants' => App\Http\Controllers\RestaurantController::class,
    'foods' => App\Http\Controllers\FoodController::class,
]);

Route::post('items', [App\Http\Controllers\ItemController::class, 'store'])->name('items.store');
Route::put('items/{item}', [App\Http\Controllers\ItemController::class, 'update'])->name('items.update');

Route::get('items/orders', [App\Http\Controllers\ItemController::class, 'createOrder'])->name('items.createOrder')->middleware('auth');

Route::post('orders', [App\Http\Controllers\ItemController::class, 'storeOrder'])->name('items.storeOrder')->middleware('auth');
Route::delete('items/{item_id}', [App\Http\Controllers\ItemController::class, 'destroy'])->name('items.destroy')->middleware('auth');

Route::prefix('admin')->name('admin.')->middleware(['auth', 'is-admin'])->group(function(){
    Route::get('', [App\Http\Controllers\HomeController::class, 'dashboard'])->name('dashboard');
    Route::resource('users', App\Http\Controllers\Admin\UserController::class);
    Route::resource('products', App\Http\Controllers\Admin\FoodController::class);
});

Auth::routes();

app/Models/Food.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * @method static paginate(int $int)
 * @method static create(array $payload)
 */
class Food extends Model
{
    use HasFactory;

    protected $fillable = [
        'title', 'pic', 'price', 'desc', 'restaurant_id'
    ];

    /**
     * @return BelongsTo
     */
    public function restaurant(): BelongsTo
    {
        return $this->belongsTo(Restaurant::class);
    }

    /**
     * @param string|null $pic_path
     * @return string
     */
    public function getPicAttribute(string|null $pic_path): string
    {
        return is_null($pic_path) ? asset('food.jpg') : asset('/storage/' . $pic_path);
    }
}

app/Http/Controllers/FoodController.php
<?php

namespace App\Http\Controllers;

use App\Models\Food;
use Illuminate\Http\Request;

class FoodController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Food  $food
     * @return \Illuminate\Http\Response
     */
    public function show(Food $food)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Food  $food
     * @return \Illuminate\Http\Response
     */
    public function edit(Food $food)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Food  $food
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Food $food)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Food  $food
     * @return \Illuminate\Http\Response
     */
    public function destroy(Food $food)
    {
        //
    }
}

resources/views/admin/food/create.blade.php
@extends('layouts.admin')

@section('content')

    <div class="row">
        <div class="col">
            Create product
        </div>
    </div>
    @include('alerts')
    <div class="row">
        <div class="col">
            <form enctype="multipart/form-data" method="post" action="{{route('admin.products.store')}}">
                @csrf
                <div class="form-group">
                    <label for="t">Title</label>
                    <input type="text" class="form-control" id="t" placeholder="Product title" name="title">
                </div>
                <div class="form-group">
                    <label for="p">Price</label>
                    <input type="number" class="form-control" id="p" placeholder="Price" name="price">
                </div>
                <div class="form-group">
                    <label for="d">Description</label>
                    <textarea class="form-control" id="d" rows="3" name="desc"></textarea>
                </div>
                <label for="res">Choose a res:</label>
                <select class="form-control" name="restaurant_id" id="res">
                    @foreach($res as $r)
                        <option value="{{$r->id}}">{{$r->title}}</option>
                    @endforeach
                </select>
                <br>
                <div class="form-group">
                    <label for="pic">Picture</label>
                    <input type="file" class="form-control-file" id="pic" name="pic">
                </div>
                <button type="submit" class="btn btn-primary">Create</button>
            </form>
        </div>
    </div>
@endsection

resources/views/admin/food/index.blade.php
@extends('layouts.admin')
@section('componentcss')
    <style>
        .cut-text {
            text-overflow: ellipsis;
            overflow: hidden;
            width: 160px;
            height: 1.2em;
            white-space: nowrap;
        }
    </style>
@endsection
@section('content')
    <div class="row">
        <div class="col">
            <h3>Products <a href="{{route('admin.products.create')}}" class="btn btn-primary btn-sm
  active" role="button" aria-pressed="true">Create new Product</a></h3>
        </div>
    </div>
    @include('alerts')
    <div class="row">
        @foreach($products as $product)
            <div class="col" style="padding: 35px 0 0 0;">
                <div class="card" style="width: 18rem;">
                    <img class="card-img-top" src="{{$product->pic}}" alt="Card image cap">
                    <div class="card-body">
                        <h5 class="card-title">{{$product->title}}</h5>
                            <p class="cut-text">
                                {{ $product->desc }}
                            </p>
                        <a href="{{route('admin.products.show', ['product' => $product])}}" class="card-link btn btn-sm btn-outline-info">
                            Show
                        </a>
                        <a href="{{route('admin.products.edit', ['product' => $product])}}" class="card-link btn btn-sm btn-outline-primary">Edit</a>
                        <form style="display: inline-block" class="card-link" action="{{route('admin.products.destroy', compact('product'))}}" method="post">
                            @csrf
                            @method('delete')
                            <button type="submit" class="btn btn-sm btn-outline-danger">Delete</button>
                        </form>
                        <br>
                    </div>
                </div>
            </div>
        @endforeach
    </div>
    <div class="row p-5">
        <div class="col col-md-6 offset-md-3">
            {{ $products->links('pagination::bootstrap-4') }}
        </div>
    </div>
@endsection